import { get, put, post, deletes } from '@/http/index'

// 查询故障诊断结果列表
export const getFaultDiagnosisResult = async (data) => {
  return await get('/als/faultDiagnosisResult/list', data)
}

// 新增故障诊断结果
export const addFaultDiagnosisResult = async (data) => {
  return await post('/als/faultDiagnosisResult', data)
}

// 修改故障诊断结果
export const updateFaultDiagnosisResult = async (data) => {
  return await put('/als/faultDiagnosisResult', data)
}

// 删除故障诊断结果
export const removeFaultDiagnosisResult = async (id) => {
  return await deletes('/als/faultDiagnosisResult/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
